<template>
  <div>
    <specialist-home
      v-if="clientType === 'SPECIALIST'"
      :percentage="percentage"
      :percentageimo="percentageImo != null ? percentageImo : 0"
    />
    <client-home
      v-if="clientType === 'CLIENT'"
      :percentage="percentage"
      :percentageimo="percentageImo != null ? percentageImo : 0"
    />
  </div>
</template>
<script>
import SpecialistHome from "@/components/specialists/SpecialistHome";
import ClientHome from "@/components/clients/ClientHome";
import { mapActions, mapGetters } from "vuex";

export default {
  name: "Home",

  components: {
    SpecialistHome,
    ClientHome,
  },

  data: () => ({
    isLoading: true,
  }),
  computed: {
    ...mapGetters("DigitalTransformationStore", [
      "percentage",
      "percentageImo",
    ]),
    ...mapGetters("CompanyStore", ["clientType"]),
    ...mapGetters("CurrentUserStore", ["userId"]),
  },
  async created() {
    this.dtInit();
    this.companyStoreInit();
    this.currentUserStoreInit();
    await this.companyProfile();
    await this.currentUser();
    await this.surveyComplete(this.userId);
    this.setPercentage(this.percentage);
  },

  methods: {
    ...mapActions("DigitalTransformationStore", { dtInit: "init" }),
    ...mapActions("DigitalTransformationStore", ["surveyComplete"]),
    ...mapActions("UserStore", { setPercentage: "SET_PERCENTAGE" }),
    ...mapActions("CompanyStore", { companyStoreInit: "init" }),
    ...mapActions("CompanyStore", ["companyProfile"]),
    ...mapActions("CurrentUserStore", ["currentUser"]),
    ...mapActions("CurrentUserStore", { currentUserStoreInit: "init" }),
  },
};
</script>
